# Stackdriver Error Reporting API . projects . groups

## Instance Methods

Get the specified group.

Replace the data for the specified group.

### Method Details

`get(groupName=None, x__xgafv=None)`

    Get the specified group.

    Args:
      groupName: string, [Required] The group resource name. Written as
    projects/projectID/groups/group_name.
    Call

    groupStats.list to return a list of groups belonging to
    this project.

    Example: projects/my-project-123/groups/my-group (required)
      x__xgafv: string, V1 error format.
        Allowed values
          1 - v1 error format
          2 - v2 error format

    Returns:
      An object of the form:

        { # Description of a group of similar error events.
        "trackingIssues": [ # Associated tracking issues.
          { # Information related to tracking the progress on resolving the error.
            "url": "A String", # A URL pointing to a related entry in an issue tracking system.
                # Example: https://github.com/user/project/issues/4
          },
        ],
        "groupId": "A String", # Group IDs are unique for a given project. If the same kind of error
            # occurs in different service contexts, it will receive the same group ID.
        "name": "A String", # The group resource name.
            # Example: projects/my-project-123/groups/my-groupid
      }

`update(name=None, body, x__xgafv=None)`

    Replace the data for the specified group.
    Fails if the group does not exist.

    Args:
      name: string, The group resource name.
    Example: projects/my-project-123/groups/my-groupid (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Description of a group of similar error events.
      "trackingIssues": [ # Associated tracking issues.
        { # Information related to tracking the progress on resolving the error.
          "url": "A String", # A URL pointing to a related entry in an issue tracking system.
              # Example: https://github.com/user/project/issues/4
        },
      ],
      "groupId": "A String", # Group IDs are unique for a given project. If the same kind of error
          # occurs in different service contexts, it will receive the same group ID.
      "name": "A String", # The group resource name.
          # Example: projects/my-project-123/groups/my-groupid
    }

      x__xgafv: string, V1 error format.
        Allowed values
          1 - v1 error format
          2 - v2 error format

    Returns:
      An object of the form:

        { # Description of a group of similar error events.
        "trackingIssues": [ # Associated tracking issues.
          { # Information related to tracking the progress on resolving the error.
            "url": "A String", # A URL pointing to a related entry in an issue tracking system.
                # Example: https://github.com/user/project/issues/4
          },
        ],
        "groupId": "A String", # Group IDs are unique for a given project. If the same kind of error
            # occurs in different service contexts, it will receive the same group ID.
        "name": "A String", # The group resource name.
            # Example: projects/my-project-123/groups/my-groupid
      }